Album: Nuclear's Explosion 1
Artists:
- tempest2k
Date: April 24, 2017
Date Added: April 12, 2021
URLs:
- https://nuclear333.bandcamp.com/album/nuclears-explosion-1
Cover Artists:
- tempest2k
Cover Art File Extension: png
Track Art File Extension: png
Color: '#b573a3'
Groups:
- tempest2k
- Beyond
Commentary: |-
    <i>tempest2k:</i>
    A bunch of unrelated songs I've made over the past half a year. Thanks for supporting me!
---
Track: A Little Birdy Told Me
Duration: 0:58
URLs:
- https://nuclear333.bandcamp.com/track/a-little-birdy-told-me
---
Track: Breakfast In Dead
Directory: breakfast-in-dead-nuclears-explosion
Originally Released As: track:breakfast-in-dead
Duration: '1:07'
URLs:
- https://nuclear333.bandcamp.com/track/breakfast-in-dead
---
Track: Common Cents
Directory: common-cents-nuclears-explosion
Originally Released As: track:common-cents
Duration: '1:00'
URLs:
- https://nuclear333.bandcamp.com/track/common-cents
---
Track: Josh Battle
Duration: 0:14
URLs:
- https://nuclear333.bandcamp.com/track/josh-battle
---
Track: Phantasmic Foe
Directory: phantasmic-foe-nuclears-explosion
Originally Released As: track:phantasmic-foe
Duration: '1:18'
URLs:
- https://nuclear333.bandcamp.com/track/phantasmic-foe
---
Track: Green Mansion [Original]
Duration: 0:25
URLs:
- https://nuclear333.bandcamp.com/track/green-mansion-original
Cover Artists:
- bobthetacocat
---
Track: Green Mansion [Difarem Arrangement]
Artists:
- Difarem
Duration: '2:15'
URLs:
- https://nuclear333.bandcamp.com/track/green-mansion-difarem-arrangement
Cover Artists:
- bobthetacocat
Referenced Tracks:
- Green Mansion [Original]
---
Track: Where's This?
Duration: '1:58'
URLs:
- https://nuclear333.bandcamp.com/track/wheres-this
---
Track: Land of Jams and Japes
Duration: '1:23'
URLs:
- https://nuclear333.bandcamp.com/track/land-of-jams-and-japes
---
Track: Defuse a Bomb
Directory: defuse-a-bomb-nuclears-explosion
Originally Released As: track:defuse-a-bomb
Duration: '1:22'
URLs:
- https://nuclear333.bandcamp.com/track/defuse-a-bomb
---
Track: Stacked Cans
Duration: '1:09'
URLs:
- https://nuclear333.bandcamp.com/track/stacked-cans
---
Track: Static Shockdown
Contributors:
- Pipko Fanfare (guitar)
Duration: '1:25'
URLs:
- https://nuclear333.bandcamp.com/track/static-shockdown
Commentary: |-
    <i>tempest2k:</i>
    Features some sick guitar by [Pipko Fanfare].
---
Track: Four Leaves of Luck
Duration: 0:24
URLs:
- https://nuclear333.bandcamp.com/track/four-leaves-of-luck
---
Track: Stacked Cans (No DVS Sax Version)
Duration: '1:09'
URLs:
- https://nuclear333.bandcamp.com/track/stacked-cans-no-dvs-sax-version
Referenced Tracks:
- Stacked Cans
---
Track: Main Theme - INHOSPITABLE
Duration: 0:59
URLs:
- https://nuclear333.bandcamp.com/track/main-theme-inhospitable
Cover Artists:
- tempest2k
Commentary: |-
    <i>tempest2k:</i>
    (2021.03.29)
    Wait huh?
    Oh wow, I have no idea how that happened.
    That's fine though, go ahead. Maybe make a note in the form of commentary saying it's inaccurate.
    <i>Quasar Nebula:</i> (wiki editor)
    The name is inaccurate.
---
Track: Sponsored Walk Home
Duration: 0:57
URLs:
- https://nuclear333.bandcamp.com/track/sponsored-walk-home
---
Track: Make Them Pay
Duration: '1:37'
URLs:
- https://nuclear333.bandcamp.com/track/make-them-pay
---
Track: Red Trail
Duration: 0:40
URLs:
- https://nuclear333.bandcamp.com/track/red-trail
---
Track: is this what a rave sounds like
Duration: 0:18
URLs:
- https://nuclear333.bandcamp.com/track/is-this-what-a-rave-sounds-like
---
Track: A Noble Anthem (One Instrument)
Duration: '1:06'
URLs:
- https://nuclear333.bandcamp.com/track/a-noble-anthem-one-instrument
---
Track: Red Trail plus Green Mansion
Duration: 0:26
URLs:
- https://nuclear333.bandcamp.com/track/red-trail-plus-green-mansion
Referenced Tracks:
- Red Trail
- Green Mansion [Original]
Commentary: |-
    <i>tempest2k:</i>
    An old version of Red Trail layered over an older version of Green Mansion.
---
Track: Troubled Seas
Duration: 0:29
URLs:
- https://nuclear333.bandcamp.com/track/troubled-seas
Cover Artists:
- tempest2k
---
Track: We Have a Problem
Duration: '1:29'
URLs:
- https://nuclear333.bandcamp.com/track/we-have-a-problem
---
Track: Prying Time
Directory: prying-time-nuclears-explosion
Originally Released As: track:prying-time
Duration: 0:52
URLs:
- https://nuclear333.bandcamp.com/track/prying-time
---
Track: Metal Veins (Frank's Theme)
Duration: 0:48
URLs:
- https://nuclear333.bandcamp.com/track/metal-veins-franks-theme
Commentary: |-
    <i>tempest2k:</i>
    Theme of Frank from [Frank](https://www.youtube.com/watch?v=jvW_S2qrMMQ).
---
Track: A Giant's Lullaby (Victoria's Theme)
Duration: 0:55
URLs:
- https://nuclear333.bandcamp.com/track/a-giants-lullaby-victorias-theme
Commentary: |-
    <i>tempest2k:</i>
    Theme of Victoria from [Frank](https://www.youtube.com/watch?v=jvW_S2qrMMQ).
---
Track: The Point of Going Home
Directory: the-point-of-going-home-nuclears-explosion
Originally Released As: track:the-point-of-going-home
Duration: '1:23'
URLs:
- https://nuclear333.bandcamp.com/track/the-point-of-going-home
